Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List secrets
cURL
curl --request GET \ --url https://api.rootly.com/v1/secrets \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "<string>", "attributes": { "name": "<string>", "created_at": "<string>", "updated_at": "<string>", "secret": "<string>", "hashicorp_vault_mount": "<string>", "hashicorp_vault_path": "<string>", "hashicorp_vault_version": 123 } } ], "links": { "self": "<string>", "first": "<string>", "prev": "<string>", "next": "<string>", "last": "<string>" }, "meta": { "current_page": 123, "next_page": 123, "prev_page": 123, "total_count": 123, "total_pages": 123, "next_cursor": "<string>" } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
success
Show child attributes
Was this page helpful?
Contact support